//
//  ELSharingWindowController.h
//  ELKit
//
//  Created by Douglas Welton on 11/23/14.
//
//

#import <Cocoa/Cocoa.h>

@interface ELSharingWindowController : NSWindowController
{
    IBOutlet NSArrayController  *sharingServicesController;

    NSMutableArray              *sharingServices;
    NSArray                     *sharedItems;
    }

@property (retain)  NSMutableArray              *sharingServices;
@property (retain)  NSArray                     *sharedItems;

+ (instancetype) sharingWindowController;

- (void) updateSharingServicesWithItems: (NSArray *)itemsToShare;

- (IBAction) share: (id)sender;
- (IBAction) cancel: (id)sender;

@end
